<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/ExceptionEncounteredSenderTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ExceptionEncounteredSenderTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_exception_encountered_sender_8h_source.html">AVSCommon/AVS/ExceptionEncounteredSender.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_message_sender_8h_source.html">AVSCommon/SDKInterfaces/MockMessageSender.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_u_u_i_d_generation_8h_source.html">AVSCommon/Utils/UUIDGeneration/UUIDGeneration.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExceptionEncounteredSenderTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_exception_encountered_sender_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_exception_encountered_sender_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_exception_encountered_sender_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_exception_encountered_sender_test_8cpp">
<area shape="rect" id="node8" href="_exception_encountered_sender_8h.html" title="AVSCommon/AVS/ExceptionEncountered\lSender.h" alt="" coords="952,105,1221,144"/>
<area shape="rect" id="node34" href="_mock_message_sender_8h.html" title="AVSCommon/SDKInterfaces\l/MockMessageSender.h" alt="" coords="2109,105,2299,144"/>
<area shape="rect" id="node35" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="2559,105,2729,144"/>
<area shape="rect" id="node48" href="_u_u_i_d_generation_8h.html" title="AVSCommon/Utils/UUIDGeneration\l/UUIDGeneration.h" alt="" coords="1589,279,1822,317"/>
<area shape="rect" id="node10" href="_exception_error_type_8h.html" title="AVSCommon/AVS/ExceptionError\lType.h" alt="" coords="907,279,1130,317"/>
<area shape="rect" id="node12" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="1345,192,1535,231"/>
<area shape="rect" id="node24" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="954,192,1219,231"/>
<area shape="rect" id="node25" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="567,365,761,404"/>
<area shape="rect" id="node13" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="1315,285,1565,311"/>
<area shape="rect" id="node18" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="1845,365,2046,404"/>
<area shape="rect" id="node23" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="1055,365,1302,404"/>
<area shape="rect" id="node22" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="1828,452,1990,491"/>
<area shape="rect" id="node32" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="381,452,576,491"/>
<area shape="rect" id="node37" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2425,192,2601,231"/>
<area shape="rect" id="node38" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2420,279,2596,317"/>
<area shape="rect" id="node40" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2070,365,2284,404"/>
<area shape="rect" id="node41" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2345,452,2521,491"/>
<area shape="rect" id="node42" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2732,365,2908,404"/>
<area shape="rect" id="node46" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2410,365,2606,404"/>
<area shape="rect" id="node47" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2255,539,2431,577"/>
<area shape="rect" id="node43" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2697,452,2873,491"/>
<area shape="rect" id="node44" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2455,539,2631,577"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_exception_encountered_event.html">alexaClientSDK::avsCommon::test::ExceptionEncounteredEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_exception_encountered_sender_test.html">alexaClientSDK::avsCommon::test::ExceptionEncounteredSenderTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test harness for <code>ExceptionEncounteredSender</code> class.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_exception_encountered_sender_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html">alexaClientSDK::avsCommon::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae92f7a0429ab3c0c3d2c87baeb036bda"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#ae92f7a0429ab3c0c3d2c87baeb036bda">alexaClientSDK::avsCommon::test::TEST_F</a> (ExceptionEncounteredSenderTest, test_errorTypeUnexpectedInformationReceived)</td></tr>
<tr class="separator:ae92f7a0429ab3c0c3d2c87baeb036bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7770d2a070d99473409ae28fbe41b850"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a7770d2a070d99473409ae28fbe41b850">alexaClientSDK::avsCommon::test::TEST_F</a> (ExceptionEncounteredSenderTest, test_errorTypeUnexpectedOperation)</td></tr>
<tr class="separator:a7770d2a070d99473409ae28fbe41b850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a32d7dc39ba8ae8d5f5af76f9b02f07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a4a32d7dc39ba8ae8d5f5af76f9b02f07">alexaClientSDK::avsCommon::test::TEST_F</a> (ExceptionEncounteredSenderTest, test_errorTypeInternalError)</td></tr>
<tr class="separator:a4a32d7dc39ba8ae8d5f5af76f9b02f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0a44abd9176d4f212a6b8a66bc18dd4b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a0a44abd9176d4f212a6b8a66bc18dd4b">alexaClientSDK::avsCommon::test::NAMESPACE</a> = &quot;System&quot;</td></tr>
<tr class="memdesc:a0a44abd9176d4f212a6b8a66bc18dd4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace for this event.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a0a44abd9176d4f212a6b8a66bc18dd4b">More...</a><br /></td></tr>
<tr class="separator:a0a44abd9176d4f212a6b8a66bc18dd4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a9a24cf2f58aafc686bbe89485a8f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#aa4a9a24cf2f58aafc686bbe89485a8f0">alexaClientSDK::avsCommon::test::MESSAGE_CONTEXT_KEY</a> = &quot;context&quot;</td></tr>
<tr class="memdesc:aa4a9a24cf2f58aafc686bbe89485a8f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the context section of a message.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#aa4a9a24cf2f58aafc686bbe89485a8f0">More...</a><br /></td></tr>
<tr class="separator:aa4a9a24cf2f58aafc686bbe89485a8f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21184cec931a8a6e8d060f5daee767c0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a21184cec931a8a6e8d060f5daee767c0">alexaClientSDK::avsCommon::test::MESSAGE_EVENT_KEY</a> = &quot;event&quot;</td></tr>
<tr class="memdesc:a21184cec931a8a6e8d060f5daee767c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the event section of a message.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a21184cec931a8a6e8d060f5daee767c0">More...</a><br /></td></tr>
<tr class="separator:a21184cec931a8a6e8d060f5daee767c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27be335094c317599dab40b72ea01a18"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a27be335094c317599dab40b72ea01a18">alexaClientSDK::avsCommon::test::MESSAGE_HEADER_KEY</a> = &quot;header&quot;</td></tr>
<tr class="memdesc:a27be335094c317599dab40b72ea01a18"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the header section of a message.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a27be335094c317599dab40b72ea01a18">More...</a><br /></td></tr>
<tr class="separator:a27be335094c317599dab40b72ea01a18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b99f5213c66df41baffca6aba13a95f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1b99f5213c66df41baffca6aba13a95f">alexaClientSDK::avsCommon::test::MESSAGE_NAMESPACE_KEY</a> = &quot;namespace&quot;</td></tr>
<tr class="memdesc:a1b99f5213c66df41baffca6aba13a95f"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the namespace field of a message header.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1b99f5213c66df41baffca6aba13a95f">More...</a><br /></td></tr>
<tr class="separator:a1b99f5213c66df41baffca6aba13a95f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13a2fdb7abaf469ffb083476a965b650"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a13a2fdb7abaf469ffb083476a965b650">alexaClientSDK::avsCommon::test::MESSAGE_NAME_KEY</a> = &quot;name&quot;</td></tr>
<tr class="memdesc:a13a2fdb7abaf469ffb083476a965b650"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the name field of a message header.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a13a2fdb7abaf469ffb083476a965b650">More...</a><br /></td></tr>
<tr class="separator:a13a2fdb7abaf469ffb083476a965b650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9fa2ca5d6d71c2ded3eb4ddcf590d91"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#ae9fa2ca5d6d71c2ded3eb4ddcf590d91">alexaClientSDK::avsCommon::test::MESSAGE_MESSAGE_ID_KEY</a> = &quot;messageId&quot;</td></tr>
<tr class="memdesc:ae9fa2ca5d6d71c2ded3eb4ddcf590d91"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the message ID field of a message header.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#ae9fa2ca5d6d71c2ded3eb4ddcf590d91">More...</a><br /></td></tr>
<tr class="separator:ae9fa2ca5d6d71c2ded3eb4ddcf590d91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6103a33fdf1d485dfcebb497666e2edb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a6103a33fdf1d485dfcebb497666e2edb">alexaClientSDK::avsCommon::test::MESSAGE_PAYLOAD_KEY</a> = &quot;payload&quot;</td></tr>
<tr class="memdesc:a6103a33fdf1d485dfcebb497666e2edb"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the payload section of an message.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a6103a33fdf1d485dfcebb497666e2edb">More...</a><br /></td></tr>
<tr class="separator:a6103a33fdf1d485dfcebb497666e2edb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1614a6997f8725458c90add04d646b3c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1614a6997f8725458c90add04d646b3c">alexaClientSDK::avsCommon::test::EXCEPTION_ENCOUNTERED_EVENT_NAME</a> = &quot;ExceptionEncountered&quot;</td></tr>
<tr class="memdesc:a1614a6997f8725458c90add04d646b3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON value for a ExceptionEncountered event's name.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1614a6997f8725458c90add04d646b3c">More...</a><br /></td></tr>
<tr class="separator:a1614a6997f8725458c90add04d646b3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1943cfb1b16fc27227b1d8593d4c71a1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1943cfb1b16fc27227b1d8593d4c71a1">alexaClientSDK::avsCommon::test::UNPARSED_DIRECTIVE_KEY</a> = &quot;unparsedDirective&quot;</td></tr>
<tr class="memdesc:a1943cfb1b16fc27227b1d8593d4c71a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the Unparsed Directive field of an ExceptionEncountered event.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1943cfb1b16fc27227b1d8593d4c71a1">More...</a><br /></td></tr>
<tr class="separator:a1943cfb1b16fc27227b1d8593d4c71a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9af62be1483aa79264ad615c74f2e912"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a9af62be1483aa79264ad615c74f2e912">alexaClientSDK::avsCommon::test::EXCEPTION_ENCOUNTERED_ERROR_KEY</a> = &quot;error&quot;</td></tr>
<tr class="memdesc:a9af62be1483aa79264ad615c74f2e912"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the error field of an ExceptionEncountered event.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a9af62be1483aa79264ad615c74f2e912">More...</a><br /></td></tr>
<tr class="separator:a9af62be1483aa79264ad615c74f2e912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e830ae2da804b8ee2a7211f5e9f27a2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a4e830ae2da804b8ee2a7211f5e9f27a2">alexaClientSDK::avsCommon::test::ERROR_TYPE_KEY</a> = &quot;type&quot;</td></tr>
<tr class="memdesc:a4e830ae2da804b8ee2a7211f5e9f27a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the type field of a ExceptionEncountered event's error.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a4e830ae2da804b8ee2a7211f5e9f27a2">More...</a><br /></td></tr>
<tr class="separator:a4e830ae2da804b8ee2a7211f5e9f27a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b43728af09be6a50d6517f6a7dfd660"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1b43728af09be6a50d6517f6a7dfd660">alexaClientSDK::avsCommon::test::ERROR_MESSAGE_KEY</a> = &quot;message&quot;</td></tr>
<tr class="memdesc:a1b43728af09be6a50d6517f6a7dfd660"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for the message field of a ExceptionEncountered event's error description.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1b43728af09be6a50d6517f6a7dfd660">More...</a><br /></td></tr>
<tr class="separator:a1b43728af09be6a50d6517f6a7dfd660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfb241ab039b472ca1b3f77ef0b0859c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#acfb241ab039b472ca1b3f77ef0b0859c">alexaClientSDK::avsCommon::test::UNPARSED_DIRECTIVE_JSON_STRING</a> = &quot;unparsedDirective Json String&quot;</td></tr>
<tr class="memdesc:acfb241ab039b472ca1b3f77ef0b0859c"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to send unparsed Directive in <code>testExceptionEncounteredSucceeds</code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#acfb241ab039b472ca1b3f77ef0b0859c">More...</a><br /></td></tr>
<tr class="separator:acfb241ab039b472ca1b3f77ef0b0859c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
